> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Mark a delivery note as delivered

POST https://api.sandbox.monite.com/v1/delivery_notes/{delivery_note_id}/mark_as_delivered

Reference: https://docs.monite.com/api/delivery-notes/post-delivery-notes-id-mark-as-delivered

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `delivery_note_id` (string, required)

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `id` (string, required) — Unique ID of the delivery note
- `created_at` (datetime, required) — Time at which the delivery note was created. Timestamps follow the ISO 8601 standard.
- `updated_at` (datetime, required) — Time at which the delivery note was last updated. Timestamps follow the ISO 8601 standard.
- `counterpart` (DeliveryNoteCounterpartResource, required) — Counterpart of the delivery note
- `counterpart_address` (ReceivablesCounterpartAddress, required) — Address of the counterpart
- `counterpart_id` (string, required) — ID of the counterpart
- `display_signature_placeholder` (boolean, required) — Whether to display a signature placeholder in the generated PDF
- `document_id` (string, required) — Document ID of the delivery note
- `entity` (DeliveryNoteResourceEntity, required) — Entity that created the delivery note
- `entity_address` (ReceivableEntityAddressSchema, required) — Address of the entity that created the delivery note
- `entity_id` (string, required) — ID of the entity that created the delivery note
- `file_language` (enum, required) — The language of the customer-facing PDF file (`file_url`). The value matches the counterpart's `language` at the time when this PDF file was generated.
  - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu`
- `line_items` (list of DeliveryNoteLineItemResource, required) — List of line items in the delivery note
- `original_file_language` (enum, required) — The language of the entity's copy of the PDF file (`original_file_url`). The value matches the entity's `language` at the time when this PDF file was generated.
  - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu`
- `status` (enum, required) — Status of the delivery note
  - Allowed values: `created`, `canceled`, `delivered`
- `based_on` (string, optional) — The unique ID of a previous document related to the delivery note if applicable.
- `based_on_document_id` (string, optional) — The unique document ID of a previous document related to the delivery note if applicable.
- `created_by_entity_user_id` (string, optional) — ID of the user that created the delivery note
- `delivery_date` (string, optional) — Date of delivery
- `delivery_number` (string, optional) — Delivery number
- `file_url` (string, optional) — The delivery note's PDF URL in the customer-facing language.
- `memo` (string, optional) — Additional information regarding the delivery note
- `original_file_url` (string, optional) — The delivery note's PDF URL in the entity's language.

## Errors

### 400 Post Delivery Notes ID Mark as Delivered Request Bad Request Error

Bad Request

- `error` (ErrorSchema, required)

### 401 Post Delivery Notes ID Mark as Delivered Request Unauthorized Error

Unauthorized

- `error` (ErrorSchema, required)

### 403 Post Delivery Notes ID Mark as Delivered Request Forbidden Error

Forbidden

- `error` (ErrorSchema, required)

### 404 Post Delivery Notes ID Mark as Delivered Request Not Found Error

Not found

- `error` (ErrorSchema, required)

### 409 Post Delivery Notes ID Mark as Delivered Request Conflict Error

Business logic error

- `error` (ErrorSchema, required)

### 422 Post Delivery Notes ID Mark as Delivered Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Post Delivery Notes ID Mark as Delivered Request Internal Server Error

Internal Server Error

- `error` (ErrorSchema, required)

## Types

### DeliveryNoteCounterpartResource

- `id` (string, required) — ID of the counterpart
- `individual` (CounterpartIndividualResponse, optional) — Individual counterpart
- `language` (enum, optional) — The language used to generate PDF documents for this counterpart.
  - Allowed values: `ab`, `aa`, `af`, `ak`, `sq`, `am`, `ar`, `an`, `hy`, `av`, `ae`, `ay`, `az`, `bm`, `ba`, `eu`, `be`, `bn`, `bi`, `bs`, `br`, `bg`, `my`, `ca`, `ch`, `ce`, `ny`, `zh`, `cu`, `cv`, `kw`, `co`, `cr`, `hr`, `cs`, `da`, `dv`, `nl`, `dz`, `en`, `eo`, `et`, `ee`, `fo`, `fj`, `fi`, `fr`, `fy`, `ff`, `gd`, `gl`, `lg`, `ka`, `de`, `el`, `kl`, `gn`, `gu`, `ht`, `ha`, `he`, `hz`, `hi`, `ho`, `hu`, `io`, `ig`, `id`, `ia`, `ie`, `iu`, `ik`, `ga`, `it`, `ja`, `jv`, `kn`, `kr`, `ks`, `kk`, `km`, `ki`, `rw`, `ky`, `kv`, `kg`, `ko`, `kj`, `ku`, `lo`, `la`, `lv`, `li`, `ln`, `lt`, `lu`, `lb`, `mk`, `mg`, `ms`, `ml`, `mt`, `gv`, `mi`, `mr`, `mh`, `mn`, `na`, `nv`, `nd`, `nr`, `ng`, `ne`, `no`, `nb`, `nn`, `ii`, `oc`, `oj`, `om`, `os`, `pi`, `ps`, `fa`, `pl`, `pt`, `pa`, `qu`, `ro`, `rm`, `rn`, `ru`, `se`, `sm`, `sg`, `sa`, `sc`, `sr`, `sn`, `sd`, `si`, `sk`, `sl`, `so`, `st`, `es`, `su`, `sw`, `ss`, `sv`, `tl`, `ty`, `tg`, `ta`, `tt`, `te`, `th`, `bo`, `ti`, `to`, `ts`, `tn`, `tr`, `tk`, `tw`, `ug`, `uk`, `ur`, `uz`, `ve`, `vi`, `vo`, `wa`, `cy`, `wo`, `xh`, `yi`, `yo`, `za`, `zu`
- `organization` (CounterpartOrganizationResponse, optional) — Organization counterpart

### ReceivablesCounterpartAddress

Address information.

- `city` (string, required) — City name.
- `country` (enum, required) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
  - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX`
- `line1` (string, required) — Street address.
- `postal_code` (string, required) — ZIP or postal code.
- `line2` (string, optional) — Additional address information (if any).
- `state` (string, optional) — State, region, province, or county.

### DeliveryNoteResourceEntity

Entity that created the delivery note

- `type`: `organization`
  - `name` (string, required) — The name of the entity issuing the receivable, when it is an organization.
  - `email` (string, optional) — An email of the entity
  - `logo` (string, optional) — A link to the entity logo
  - `phone` (string, optional) — A phone number of the entity
  - `registration_authority` (string, optional) — The registration authority of the entity
  - `registration_number` (string, optional) — The registration number of the entity
  - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable
  - `vat_id` (string, optional) — The VAT ID of the entity issuing the receivable, when it is an organization.
  - `website` (string, optional) — A website of the entity
- `type`: `individual`
  - `first_name` (string, required) — The first name of the entity issuing the receivable
  - `last_name` (string, required) — The last name of the entity issuing the receivable
  - `email` (string, optional) — An email of the entity
  - `logo` (string, optional) — A link to the entity logo
  - `phone` (string, optional) — A phone number of the entity
  - `registration_authority` (string, optional) — The registration authority of the entity
  - `registration_number` (string, optional) — The registration number of the entity
  - `tax_id` (string, optional) — The Tax ID of the entity issuing the receivable
  - `website` (string, optional) — A website of the entity

### ReceivableEntityAddressSchema

A schema represents address info of the entity

- `city` (string, required) — A city (a full name) where the entity is registered
- `line1` (string, required) — A street where the entity is registered
- `postal_code` (string, required) — A postal code of the address where the entity is registered
- `country` (enum, optional) — A country name (as ISO code) where the entity is registered
  - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX`
- `line2` (string, optional) — An alternative street used by the entity
- `state` (string, optional) — A state in a country where the entity is registered

### DeliveryNoteLineItemResource

- `product` (DeliveryNoteLineItemProduct, required)
- `quantity` (double, required) — The quantity of each of the goods, materials, or services listed in the receivable.

### ErrorSchema

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### CounterpartIndividualResponse

Represents counterparts that are individuals (natural persons).

- `first_name` (string, required) — The person's first name.
- `is_customer` (boolean, required) — Indicates if the counterpart is a customer.
- `is_vendor` (boolean, required) — Indicates if the counterpart is a vendor.
- `last_name` (string, required) — The person's last name.
- `email` (string, optional) — The person's email address.
- `phone` (string, optional) — The person's phone number.
- `tags` (list of CounterpartTagSchema, optional) — The list of tags for this counterpart.
- `title` (string, optional) — The person's title or honorific. Examples: Mr., Ms., Dr., Prof.

### CounterpartOrganizationResponse

Represents counterparts that are organizations (juridical persons).

- `is_customer` (boolean, required) — Indicates if the counterpart is a customer.
- `is_vendor` (boolean, required) — Indicates if the counterpart is a vendor.
- `legal_name` (string, required) — The legal name of the organization.
- `email` (string, optional) — The email address of the organization
- `phone` (string, optional) — The phone number of the organization
- `tags` (list of CounterpartTagSchema, optional) — The list of tags for this counterpart.

### DeliveryNoteLineItemProduct

- `name` (string, required) — Name of the product.
- `description` (string, optional) — Description of the product.
- `measure_unit` (UnitRequest, optional)

### ValidationErrorLocItem

### CounterpartTagSchema

Represents a user-defined tag that can be assigned to resources to filter them.

- `id` (string, required) — A unique ID of this tag.
- `created_at` (datetime, required) — Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
- `updated_at` (datetime, required) — Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
- `name` (string, required) — The tag name.
- `category` (enum, optional) — The tag category.
  - Allowed values: `document_type`, `department`, `project`, `cost_center`, `vendor_type`, `payment_method`, `approval_status`
- `created_by_entity_user_id` (string, optional) — ID of the user who created the tag.
- `description` (string, optional) — The tag description.

### UnitRequest

- `name` (string, required)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
  "created_at": "2022-01-01T00:00:00Z",
  "updated_at": "2022-01-01T00:00:00Z",
  "counterpart": {
    "id": "id",
    "individual": {
      "first_name": "Adnan",
      "is_customer": true,
      "is_vendor": true,
      "last_name": "Singh",
      "email": "asingh@example.net",
      "phone": "5553211234",
      "tags": [
        {
          "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
          "created_at": "2022-09-07T16:35:18Z",
          "updated_at": "2022-09-07T16:35:18Z",
          "name": "Marketing",
          "category": "document_type",
          "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
          "description": "Tag for the Marketing Department"
        }
      ],
      "title": "Mr."
    },
    "language": "ab",
    "organization": {
      "is_customer": true,
      "is_vendor": true,
      "legal_name": "Acme Inc.",
      "email": "acme@example.com",
      "phone": "5551231234",
      "tags": [
        {
          "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
          "created_at": "2022-09-07T16:35:18Z",
          "updated_at": "2022-09-07T16:35:18Z",
          "name": "Marketing",
          "category": "document_type",
          "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
          "description": "Tag for the Marketing Department"
        }
      ]
    }
  },
  "counterpart_address": {
    "city": "Counterpart City",
    "country": "DE",
    "line1": "Counterpart Street",
    "postal_code": "123009",
    "line2": "line2",
    "state": "state"
  },
  "counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
  "display_signature_placeholder": true,
  "document_id": "DN-2022-01-01-0001",
  "entity": {
    "type": "organization",
    "name": "name",
    "email": "email",
    "logo": "logo",
    "phone": "phone",
    "registration_authority": "registration_authority",
    "registration_number": "registration_number",
    "tax_id": "tax_id",
    "vat_id": "vat_id",
    "website": "website"
  },
  "entity_address": {
    "city": "Entity City",
    "line1": "Entity Street",
    "postal_code": "123009",
    "country": "DE",
    "line2": "line2",
    "state": "state"
  },
  "entity_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
  "file_language": "en",
  "line_items": [
    {
      "product": {
        "name": "Product Name",
        "description": "Description of product",
        "measure_unit": {
          "name": "pcs",
          "description": "Pieces"
        }
      },
      "quantity": 20
    }
  ],
  "original_file_language": "de",
  "status": "created",
  "based_on": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
  "based_on_document_id": "IN-2022-01-01-0001",
  "created_by_entity_user_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
  "delivery_date": "2022-01-01",
  "delivery_number": "102-2022-0987",
  "file_url": "https://example.com/delivery_note.pdf",
  "memo": "This is a memo",
  "original_file_url": "https://example.com/delivery_note_original.pdf"
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered"

headers = {
    "x-monite-version": "2024-01-31",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered';
const options = {
  method: 'POST',
  headers: {
    'x-monite-version': '2024-01-31',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-monite-version", "2024-01-31")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-monite-version"] = '2024-01-31'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered")
  .header("x-monite-version", "2024-01-31")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-01-31',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered");
var request = new RestRequest(Method.POST);
request.AddHeader("x-monite-version", "2024-01-31");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-01-31",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/delivery_notes/delivery_note_id/mark_as_delivered")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```